Ajout d'une ligne à une vue TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw LeaderLine and the translation is 76% complete.

Outdated translations are marked like this.
Other languages:
English • ‎français • ‎italiano • ‎русский

Techdraw-mline.svg Ajout d'une ligne à une vue TechDraw

Emplacement du menu
TechDraw → Ajout d'une ligne à une vue
Ateliers
Atelier TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Modèles TechDraw, Draft SVG, Annotation en texte enrichi TechDraw


Description

L'outil Ajout d'une ligne à une vue (LeaderLine) ajoute une ligne à une vue. D'autres objets d'annotation (tels que Annotation en texte enrichi) peuvent être connectés à LeaderLine pour former des annotations complexes.

TechDraw LeaderLine sample.png

Ligne maîtresse ajoutée à View001


Utilisation

  1. Appuyez sur le bouton Techdraw-mline.svg LeaderLine.
  2. Une boîte de dialogue de tâche va s'ouvrir. La boîte de dialogue permet de tracer la ligne de repère et d’affecter des symboles de fin à la ligne.
  3. Le bouton Choisir des points lance une fonction de dessin au trait. Le dessin au trait commence toujours au point où la ligne doit être attachée à la vue.
  4. Cliquez pour ajouter un point, déplacez la souris pour dessiner un segment de ligne.
  5. Pour quitter l'éditeur de lignes, appuyez sur le bouton Enregistrer les modifications.
  6. Pour quitter l'éditeur de lignes sans enregistrer, appuyez sur le bouton Annuler les modifications.
  7. Une fois la ligne créée, vous pouvez la modifier en double-cliquant sur la ligne de repère dans l'arborescence.

Propriétés

  • DONNÉESX, Y: Le point auquel la ligne de repère est connectée à la vue.
  • DONNÉESLeader Parent: la vue à laquelle la ligne est attachée.
  • DONNÉESStart Symbol: symbole de fin de ligne (pointe de flèche) à la fin de la vue.
  • DONNÉESEnd Symbol: le symbole de fin de ligne à l'autre extrémité.
  • DONNÉESWayPoints: Noeuds sur la ligne de repère.
  • DONNÉESScalable: LeaderLine évolue avec LeaderLine Parent.
  • VUEColor: Couleur de stylo pour la LeaderLine.
  • VUELine Style: 0 - Pas de ligne, 1 - Ligne continue, ...
  • VUELine Width: poids de la ligne principale.

Script

See also: TechDraw API et FreeCAD Scripts de Base.

L'outil LeaderLine peut être utilisée dans une macro et dans la console Python en utilisant la fonction suivante:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5


Notes

  • Cette fonctionnalité a été ajoutée à la v0.19
  • Vous pouvez modifier votre LeaderLine en double-cliquant dessus dans l'arborescence. Un double clic dans la zone graphique n’est pas encore supporté.
  • La ligne de repère peut être modifiée en appuyant sur "Modifier les points" en mode édition. Pour quitter l'édition de point: appuyez sur "Enregistrer les modifications" ou "Annuler les modifications".